# Endpoints

### Users

<table data-header-hidden><thead><tr><th width="207.16438356164383"></th><th width="272.39126412923315"></th><th></th></tr></thead><tbody><tr><td><strong>Function</strong></td><td><strong>Endpoint</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/R0dupGTJVxgV4vw2Gl29">Create user</a></td><td><code>POST /api/v1/partners/users</code></td><td>Create a new user for the person using your integration.</td></tr><tr><td><a href="/pages/HMrrpwMxfSHmeP6hNhRb">Get User</a></td><td><code>GET /api/v1/partners/users/{user}</code></td><td>First you need to check if your user is already a confirmed KYC approved user.</td></tr><tr><td><a href="/pages/tvCagZQjoP0OmeJXqpbf">Update user</a></td><td><code>POST /api/v1/partners/users</code></td><td>Update the user for the person using your integration.</td></tr><tr><td><a href="/pages/34jNJR0KsnaFuLprqXQg">User balance</a></td><td> <code>GET /api/v1/partners/users/{user_id}/balances</code></td><td>Fetch users balance to ensure enough funds.</td></tr><tr><td><a href="/pages/E70Om5Kx1CK1jJyC9pz1">Master balance</a></td><td><code>GET /api/v1/partners/balances</code></td><td>Fetch the master users balance.</td></tr></tbody></table>

### Payments & bank wire

<table data-header-hidden><thead><tr><th width="204.57924504666107"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Function</strong></td><td><strong>Endpoint</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/m2f6oqfOaAgI68jpPw8z">Add bank</a></td><td> <code>POST /api/v1/partners/users/{user_id}/bank-accounts</code></td><td>Deprecated</td></tr><tr><td><a href="/pages/Cr7ijkO3GUQL3Ux6tFjB">List bank details</a></td><td><code>GET /api/v1/partners/users/{user}/bank-accounts</code></td><td>Fetch details of all bank accounts for the person using your integration</td></tr><tr><td><a href="/pages/kUVUGXqiM2fQDFqnP1Ic">View bank details</a></td><td><code>GET /api/v1/partners/users/{user}/bank-accounts/{bankId}</code></td><td>Fetch details of a bank account for the person using your integration</td></tr><tr><td><a href="/pages/Sg0oeIilE7OzhYX92ffb">Remove a bank</a></td><td><code>DELETE /api/v1/partners/users/{user}/bank-accounts/{bankId}</code></td><td>Delete a bank account for the person using your integration</td></tr><tr><td><a href="/pages/UDpgFVRiyNrPUPJoRGwH">Deposit instructions</a></td><td><code>GET /api/v1/partners/users/{user}/deposit-instructions</code></td><td>Fetch deposit instructions to be displayed to the person using your integration</td></tr><tr><td><a href="/pages/rrmd3aOLTLoOxu2OZiiK">User limits</a></td><td><code>GET /api/v1/partners/users/{user}/limits?type=fiat_deposit</code></td><td>returns the information about the user’s limits with optional parameter type which can be fiat_withdrawal or fiat_deposit</td></tr><tr><td><a href="/pages/vCMLQw3hAupSC991lRfs">Fiat Withdraw</a></td><td><code>POST /api/v1/partners/users/{user}/withdraw</code></td><td>Make withdrawal of FIAT to bank account for your user.</td></tr></tbody></table>

### Crypto exchange & wallet

<table data-header-hidden><thead><tr><th width="213.45493562231763"></th><th width="398"></th><th></th></tr></thead><tbody><tr><td><strong>Function</strong></td><td><strong>Endpoint</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/E2FNUayRxw6DkeTzQ12b">Pairs</a></td><td><code>GET /api/v1/partners/pairs</code></td><td>Fetch a list of available exchange pairs to display to your user.</td></tr><tr><td><a href="/pages/PzS2gQV4T8RH2lZ5z8bB">Exchange rates</a></td><td><code>GET /api/v1/partners/exchange-rates</code></td><td>Fetch information related to exchange rate for selected <a href="/pages/E2FNUayRxw6DkeTzQ12b">pair</a></td></tr><tr><td><a href="/pages/bHGtUYLiJ7EZDTsxwoN1">Buy order</a></td><td><code>POST /api/v1/partners/users/{user}/buy</code></td><td>Complete buy order for selected <a href="/pages/E2FNUayRxw6DkeTzQ12b">pair</a></td></tr><tr><td><a href="/pages/Ecm47unOuy2Ryl4UCUQM">Sell order</a></td><td><code>POST /api/v1/partners/users/{user}/sell</code></td><td>Complete sell order for selected <a href="/pages/E2FNUayRxw6DkeTzQ12b">pair</a></td></tr><tr><td><a href="/pages/Ow6GcDbkVgmhRwIOo4Uw">Currencies</a></td><td><code>GET /api/v1/partners/currencies</code></td><td>Fetch a list of available currencies</td></tr><tr><td><a href="/pages/Y5gxTacnVgh6cMZm0JT9">Transaction list</a></td><td><code>GET /api/v1/partners/users-transactions</code></td><td>Fetch a list of transactions for all users.</td></tr><tr><td><a href="/pages/rmw0JeNqDBqhAeuY8IRp">User transaction list</a></td><td><code>GET /api/v1/partners/users/{user}/transactions</code></td><td>Fetch a list of transactions for a specific user.</td></tr><tr><td><a href="/pages/BmuyxvxrokbdMo4NdDbP">Show transaction</a></td><td><code>GET /api/v1/partners/users/{user}/transactions/{transactionId}</code></td><td>Fetch a specific transaction for a specific user.</td></tr><tr><td><a href="/pages/Us6qf4DyBaz3uIbBP9rt">Limits minimum</a></td><td><code>GET /api/v1/partners/limits/minimum</code></td><td>Fetch minimum buy or sell amount</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kriptomat.io/docs/whitelabel-api-fiat-onramp-offramp-via-bank-wire/api-reference/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
